{ ... }: {
  programs.nixvim.globals.mapleader = " ";

  programs.nixvim.keymaps = [
    {
      key = "<esc>";
      action = ":noh<CR>";
      mode = "n";
      options = {
        silent = true;
        desc = "Clear search highlight";
      };
    }
    {
      key = "j";
      action = "gj";
      mode = "n";
    }
    {
      key = "k";
      action = "gk";
      mode = "n";
    }
  ];
}
